1.0

1.0

post /v1/launch-configurations

Description

Create Launch Configuration.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LaunchConfigurationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "name": "launch-configuration-name",
    "server_type_id": "s1v1m2",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "publickey",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}